package com.zanxiang.manage.controller;

import com.zanxiang.mybatis.entity.Order;
import com.zanxiang.mybatis.mapper.OrderMapper;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiResponse;
import io.swagger.annotations.ApiResponses;
import org.apache.tomcat.jni.Time;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;


@Api(tags = {"示例接口"})
@RestController
@RequestMapping("/game/test/")
public class TestController {

    @Autowired
    private OrderMapper orderMapper;

    @ApiOperation(value = "根据id获取")
    @GetMapping("/index")
    @ApiResponses(value = {@ApiResponse(code = 200, message = "成功")})

    public String index() {
        Order order = orderMapper.selectByPrimaryKey(1L);
        System.out.println(order);
        return "game-manage service" + new Time();
    }
}
