package com.zanxiang.common.utils;

import java.math.BigDecimal;

/**
 * @Author wcc
 * @Date 2021/1/4 11:47
 * @Version 1.0
 * @Description
 */
public class MathUtil {

    public static int add(Integer num1, Integer num2) {
        num1 = num1 == null ? 0 : num1;
        num2 = num2 == null ? 0 : num2;
        return num1 + num2;
    }

    /**
     * 除法保留 2位小数，多余位删除（除 0返回 0）
     *
     * @param dividend 被除数
     * @param divisor  除数
     * @return
     */
    public static BigDecimal division(BigDecimal dividend, BigDecimal divisor) {
        if (divisor.compareTo(BigDecimal.ZERO) == 0) {
            return BigDecimal.ZERO;
        }
        return dividend.divide(divisor, 2, BigDecimal.ROUND_DOWN);
    }
}
