package com.zanxiang.sdk.common.constant;

/**
 * @author : lingfeng
 * @time : 2022-06-08
 * @description : 缓存key前缀
 */
public class RedisKeyConstant {

    /**
     * 同步服务缓存统一前缀
     */
    private static final String REDIS_PREFIX = "game_sdk_";

    /**
     * 用户token缓存key
     */
    public static final String USER_TOKEN_KEY = RedisKeyConstant.REDIS_PREFIX + "user_token";

    /**
     * token缓存key
     */
    public static final String TOKEN_INFO_KEY = RedisKeyConstant.REDIS_PREFIX + "token_info";

    /**
     * 手机验证码缓存key
     */
    public static final String SMS_PHONE_KEY = RedisKeyConstant.REDIS_PREFIX + "sms_phone";

    /**
     * 手机验证码缓存key
     */
    public static final String AUTH_STATE_KEY = RedisKeyConstant.REDIS_PREFIX + "auth_state";

}
